function skjdemo4
% SKJDEMO3 demoaa signaalin jaksollisuutta.
%
% Kytetn signaalina kitaran nt.

% Jukka Parviainen, parvi@hut.fi, 15.1.2002, 17.1.2001.
% Tiedostot saatavilla 
% http://www.cis.hut.fi/Opinnot/T-61.140/  -> Vinkkej ja linkkej

% Alkutoimenpiteet: tarkista ett esityskoneessasi on 
% kaiuittimet tai salin kyseess ollen audioliitnt.
% Kutista Matlab-tyikkuna suhteellisen pieneksi ruudun alareunaan,
% sijoita piirtoikkuna, esimerkiksi ensimmisen vaiheen jlkeen,
% sopivaan paikkaan, ett se nkyy.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all;      % sulkee kaikki ikkunat
clc;            % puhdistaa ruudun

fprintf(1,'****************************************\n');
fprintf(1,'****************************************\n');
fprintf(1,'************  SKJDEMO4.m  **************\n');
fprintf(1,'****************************************\n');
fprintf(1,'*******  Jaksolliset signaalit  ********\n');
fprintf(1,'*************  kitara  *****************\n');
fprintf(1,'****************************************\n');
fprintf(1,'\n\n');

[yb, fsb, nbits] = wavread('skjdemo3b.wav');
[yc, fsb, nbits] = wavread('skjdemo3c.wav');
ycF = fft(yc);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf(1,'Mik merkitys harmonisilla komponenteilla on?\n\n');

fprintf(1,'Kuunnellaan seuraavaksi kitaraesityst\n ja yhden kielen vrhdyst.\n\n');

fprintf(1,'** Paina ENTER...\n\n');
pause;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

soundsc(yb, fsb);

fprintf(1,'** Paina ENTER musiikkikappaleen kuuntelemisen jlkeen...\n\n');
pause;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc;

fprintf(1,'Otetaan YKSI kielen vrhdys \n');
fprintf(1,' ja piirretn siit signaali (kesto n. 0.035 s)\n');
fprintf(1,' ja sen spektri.\n\n');

w = linspace(0, fsb, length(ycF));
t = linspace(0, length(yc)/fsb, length(yc));

clf;
subplot(211),
plot(t, yc);
axis([0 t(end) 1.1*min(yc) 1.1*max(yc)]);
grid on;
xlabel('Aika (sekunnit)');
ylabel('Voimakkuus');
title('Yhden kitarankielen vrhdys');

subplot(212);
%plot(w, abs(ycF));
%axis([0 4300 0 1.1*max(abs(ycF))]);
plot(w, 20*log2(abs(ycF)));
axis([0 4300 0 1.1*max(20*log2(abs(ycF)))]);
xlabel('Taajuus (Hz)');
ylabel('logaritminen');
%ylabel('Voimakkuus');
grid on;

fprintf(1,'Vrhdys soitetaan seuraavaksi 10 kertaa perkkin.\n\n');

fprintf(1,'** Paina ENTER...\n\n');
pause;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:10
  soundsc(yc, fsb);
  pause(0.3);
end;

clc;

fprintf(1,'Milt yksininen kitarankielen vrhdys kuulosti?\n\n');

fprintf(1,'Mik merkitys harmonisilla komponenteilla on?\n\n');

fprintf(1,'** LOPPU.\n\n');

